<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddServiceProfileReq StructType
 * @subpackage Structs
 */
class AddServiceProfileReq extends APIRequest
{
    /**
     * The serviceProfile
     * @var XServiceProfile
     */
    public $serviceProfile;
    /**
     * Constructor method for AddServiceProfileReq
     * @uses AddServiceProfileReq::setServiceProfile()
     * @param XServiceProfile $serviceProfile
     */
    public function __construct(XServiceProfile $serviceProfile = null)
    {
        $this
            ->setServiceProfile($serviceProfile);
    }
    /**
     * Get serviceProfile value
     * @return XServiceProfile|null
     */
    public function getServiceProfile()
    {
        return $this->serviceProfile;
    }
    /**
     * Set serviceProfile value
     * @param XServiceProfile $serviceProfile
     * @return AddServiceProfileReq
     */
    public function setServiceProfile(XServiceProfile $serviceProfile = null)
    {
        $this->serviceProfile = $serviceProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddServiceProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
